Skip to main content
`Ctrl`+`K`

# PetscViewerAndFormatDestroy

Destroys a `PetscViewerAndFormat` struct created with `PetscViewerAndFormatCreate()`

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerAndFormatDestroy(PetscViewerAndFormat **vf)

Collective

## Input Parameter

- vf - the `PetscViewerAndFormat` to be destroyed.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerAndFormat`, `PetscViewerFormat`, `PetscViewerAndFormatCreate()`, `PetscViewerSocketOpen()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDrawOpen()`

## Level

developer

## Location

src/sys/classes/viewer/interface/view.c

## Examples

src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex2f.F90

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages